<template>
  <basic-container>
    <avue-crud v-model="form" :option="option" :data="data" ref="crud" @row-save="rowSave" @row-update="rowUpdate" @row-del="rowDel">
      <template slot="icon" slot-scope="scope">
        <i :class="scope.row.icon" style="font-size:24px"></i>
      </template>
    </avue-crud>
  </basic-container>
</template>

<script>

export default {
name: "password.vue",
  data() {
  return {
    parentId:undefined,
    form:{},
    data: [
      {
        id: 0,
        event: '事件1',
        timeLine: 50,
        comment: '无'
      },
      {
        id: 1,
        event: '事件2',
        timeLine: 100,
        comment: '无',

      },
      {
        id: 2,
        event: '事件3',
        timeLine: 100,
        comment: '无',
      }
    ],
    option: {
      headerAlign: 'center',
      align: 'center',
      border: true,
      index: true,
      rowKey:'id',
      rowParentKey:'parentId',
      // defaultExpandAll:true,
      column: [
        {
          label: '策略名称',
          prop: 'name',
          align: 'left',
          span:24
        },
        {
          label: '密码最小长度',
          prop: 'smallLength',
          labelWidth:118,
          span:12
        },
        {
          label: '密码最大长度',
          prop: 'bigLength',
          labelWidth:118,
          span:12
        },
        {
          label: '组合方法',
          prop: 'makeUp',
          type: "checkbox",
          labelWidth:91,
          dicData: [
            {
              label: "数字",
              value: "Dicnumber"
            },
            {
              label: "符号",
              value: "Diccharacter"
            },
            {
              label: "小写字母",
              value: "smallLeter"
            },
            {
              label: "大写字母",
              value: "bigLeter"
            },
          ],
        },
        {
          label: '必填种类',
          prop: 'Required',
          type: 'select',
          labelWidth: 91,
          dicData:[{
            label:'1种',
            value:0
          },
          {
            label:'2种',
            value:1
          },
          {
            label:'3种',
            value:2
            },
            {
              label:'4种',
              value:3
            }
          ]

        },
        {
          label: '过期时间(天)',
          prop:'overdueTime',
          labelWidth:115
        },
        {
          label: '提醒时间(天)',
          prop:'remindTime',
          labelWidth:113
        },
        {
          label: '锁定次数(次)',
          prop:'locksNumber',
          labelWidth:116
        },
        {
          label: '锁定时间(分钟)',
          prop:'locksTime',
          labelWidth:128
        },
        {
          label: '描述',
          prop:'overview',
          type: 'textarea',
          rows: 5
        },
        {
          label: '是否为默认策略',
          prop: 'switch',
          type: 'switch',
          labelWidth: 132,
          dicData:[{
            label:'否',
            value:0
          },{
            label:'是',
            value:1
          }]
        }
      ],
    }
  }

  },
  methods:{
    rowDel(row,index,done){
      done(row)
    },
    rowSave(row,done){
      row.parentId=this.parentId;
      row.id=new Date().getTime()
      this.parentId=undefined;
      done(row)
    },
    rowUpdate(row,index,done){
      done(row)
    },
  }

}
</script>

<style scoped>

</style>
